program ergrund;

{ rundet die Werte in .ERG-Files des NERV-Programms.
  A.Herrmann 21.09.85 }

const tab:    char=#09;
      cr:     char=#13;
      blank:  char=#32;

var ch: char;
    flag: boolean;
    name1,name2: string[14];
    datei1,datei2: text;
    azeile,nzeile: string[255];
    zz: integer;
    lg: integer;
    i,j,k: integer;
    nr: integer;
    x,y,fl,um,di,du,didu,ff: real;
    sec,secsum: integer;
    secstr: string[2];

begin { ergrund }

repeat
writeln; write('Name der Datei = '); readln(name1);
assign(datei1,name1);
{$I-} reset(datei1) {$I+};
if Ioresult<>0 then writeln('Datei ',name1,' nicht gefunden.')
else
    begin
    write('Name der Zieldatei  = ');
    readln(name2);
    assign(datei2,name2);
    rewrite(datei2);

    repeat
        readln(datei1,azeile);
        lg:=length(azeile);
        if lg>4 then
            begin
            if pos('Faser',azeile)>0
                then flag:=true
                else flag:=false;
            end;
        writeln(datei2,azeile);
        writeln(azeile);
    until flag;
    repeat                {Faser-Daten}
        {$I-} readln(datei1,nr,x,y,fl,um,di,du,didu,ff,sec) {$I+};
        flag:=(ioresult<>0);
        if not flag then
            begin
            writeln(datei2,nr:3,x:7:1,y:7:1,fl:8:1,um:7:1,di:6:1,du:7:1,didu:7:2,ff:6:2,sec:5);
            writeln(nr:3,x:7:1,y:7:1,fl:8:1,um:7:1,di:6:1,du:7:1,didu:7:2,ff:6:2,sec:5);
            readln;
            end
        else
            begin
            readln(datei1,azeile);
            writeln(datei2,azeile);
            writeln(azeile);
            end;
    until eof(datei1);
    close(datei2);
    writeln; writeln; write('Restart ? (Y/N) ');
    repeat
        read(kbd,ch); writeln(ch);
    until ch in ['Y','y','N','n'];
    end
until ch in ['N','n'];

end. { ergsum }

